be.ehealth.businessconnector.vsbnet.async.invoice.session

## Interface VsbNetInvoiceService

- All Superinterfaces:
    CommonAsyncService
  All Known Implementing Classes:
    VsbNetInvoiceServiceImpl

      public interface VsbNetInvoiceService
      extends CommonAsyncService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessedGetResponse<byte[]>` | `getListInvoiceAccepted1(GetRequest request)`
    `ProcessedGetResponse<byte[]>` | `getListInvoiceAccepted2(GetRequest request)`
    `ProcessedGetResponse<byte[]>` | `getListInvoiceFileAccepted(GetRequest request)`
    `ProcessedGetResponse<byte[]>` | `getListInvoiceFileRefused(GetRequest request)`
    `ProcessedGetResponse<byte[]>` | `getListInvoiceRefused(GetRequest request)`
    `ProcessedGetResponse<EfactDf019NotifyRectifications>` | `getNotifyRectifications(GetRequest request)`
    `ProcessedPostResponse` | `postInvoiceList(byte[] invoiceList, InputReference inputReference)`

    - ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

      `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- - ### Method Detail

    - #### postInvoiceList

          ProcessedPostResponse postInvoiceList(byte[] invoiceList,
                                                InputReference inputReference)
                                         throws ConnectorException

      Throws:
        `ConnectorException`

    - #### getListInvoiceFileAccepted

          ProcessedGetResponse<byte[]> getListInvoiceFileAccepted(GetRequest request)
                                                           throws ConnectorException

      Throws:
        `ConnectorException`

    - #### getListInvoiceFileRefused

          ProcessedGetResponse<byte[]> getListInvoiceFileRefused(GetRequest request)
                                                          throws ConnectorException

      Throws:
        `ConnectorException`

    - #### getListInvoiceAccepted1

          ProcessedGetResponse<byte[]> getListInvoiceAccepted1(GetRequest request)
                                                        throws ConnectorException

      Throws:
        `ConnectorException`

    - #### getListInvoiceRefused

          ProcessedGetResponse<byte[]> getListInvoiceRefused(GetRequest request)
                                                      throws ConnectorException

      Throws:
        `ConnectorException`

    - #### getListInvoiceAccepted2

          ProcessedGetResponse<byte[]> getListInvoiceAccepted2(GetRequest request)
                                                        throws ConnectorException

      Throws:
        `ConnectorException`

    - #### getNotifyRectifications

          ProcessedGetResponse<EfactDf019NotifyRectifications> getNotifyRectifications(GetRequest request)
                                                                                throws ConnectorException

      Throws:
        `ConnectorException`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.